fair::mq::ofi::Message Class Reference

`#include <fairmq/ofi/Message.h>`

Inheritance diagram for fair::mq::ofi::Message:
[legend]
Collaboration diagram for fair::mq::ofi::Message:
[legend]

## Public Member Functions

| Message (const size_t size)
| Message (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr)
| Message (FairMQUnmanagedRegionPtr &region, void *data, const size_t size, void *hint=0)
| Message (const Message &)=delete
Message | operator= (const Message &)=delete
auto | Rebuild () -> void override
auto | Rebuild (const size_t size) -> void override
auto | Rebuild (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr) -> void override
auto | GetData () const -> void *override
auto | GetSize () const -> size_t override
auto | SetUsedSize (const size_t size) -> bool override
auto | GetType () const -> fair::mq::Transport override
auto | Copy (const fair::mq::Message &msg) -> void override
auto | Copy (const fair::mq::MessagePtr &msg) -> void override
Public Member Functions inherited from FairMQMessage
virtual void | Copy (const std::unique_ptr< FairMQMessage > &msg) __attribute__((deprecated("Use 'Copy( const FairMQMessage & msg)'")))=0

## Detailed Description

Todo:
  TODO insert long description

The documentation for this class was generated from the following files:

- fairmq/ofi/Message.h
- fairmq/ofi/Message.cxx